BimpHelp

Assembly (production): Bimp API methods

Bimp API methods for the “Assembly (production)” resource (/org2/production-assembly/…): 4 methods. Base URL: https://app.bimpsoft.com. All requests except login pass the company token in the access-token header — see Getting started with the API.

MethodWhat it does
POST /org2/production-assembly/api-readA request to obtain detailed information for a particular production assembly document
POST /org2/production-assembly/api-readListA request to view a list of production assembly documents
POST /org2/production-assembly/api-createA request to create a new production assembly document
POST /org2/production-assembly/api-cancelCancel a production assembly document

api-read

POST /org2/production-assembly/api-read

A request to obtain detailed information for a particular production assembly document

Request body (JSON)

FieldTypeRequiredDescription
uuidstring (uuid)yesA unique uuid key for the Production assembly document

Response: data field

FieldTypeDescription
uuidstring (uuid)A unique uuid key for the Production assembly document
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
numberstringProduction assembly number
commentstringAn optional text field for any additional notes or comments related to the document
namestringProduction assembly name
responsiblestring (uuid)A unique identifier for the Employee, obtainable from the /employee/api-readList request
manufacturerstring (uuid)A unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request
organizationstring (uuid)A unique identifier for the Organization, obtainable from the /organization/api-readList request
productionOrderstring (uuid)A unique identifier for the Production order document, obtainable from the /production-order/api-readList request
distributionTypenumber (0) | number (1)Cost distribution type code
archivedbooleanWhether the production assembly is archived
counterpartystring (uuid)A unique identifier for the Counterparty, obtainable from the /counterparty/api-readList request
productsobject[]An array of product objects, representing the nomenclatures included in the document
products[].nomenclaturestring (uuid)A unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request
products[].specificationstring (uuid)A unique identifier for the Specification, obtainable from the /specification/api-readList request
products[].quantitynumberThe amount of items
products[].pricenumberThe price of the item/document
products[].totalSumnumberThe sum of the document
products[].uniqueIdstringRow unique id of the product line
products[].costSharenumberCost share
products[].reservenumberThe amount of the product that has been reserved
products[].imeistringIMEI / serial number
materialsobject[]Materials used in the assembly
materials[].nomenclaturestring (uuid)A unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request
materials[].namestringNomenclature name
materials[].quantitynumberThe amount of items
materials[].warehousestring (uuid)A unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request
materials[].pricenumberThe price of the item/document
materials[].totalSumnumberThe sum of the document
materials[].batchobject | nullMaterial batch / lot
materials[].stockBalancenumberStock balance on the warehouse
materials[].readyQuantitynumberQuantity of the finished product
materials[].specificationQuantitynumberQuantity in the specification
materials[].reservenumberThe amount of the product that has been reserved
materials[].uniqueIdstringRow unique id of the material line
materials[].relatesTostringuniqueId of the related product line
materials[].stageIdstringuniqueId of the related production stage
materials[].unitstring (uuid)A unique identifier for the Unit of Measurement, obtainable from the /unitsOfMeasurment/api-readList request
materials[].specificationstring (uuid)A unique identifier for the Specification, obtainable from the /specification/api-readList request
materials[].netQuantitynumberNet quantity
materials[].lossnumberLoss percent
materials[].imeistringIMEI / serial number
materials[].isAnalogbooleanWhether the material line is an analog
materials[].analogWriteOffMethodnumberMethod of writing off analogs
materials[].productstringA GUID of product, representing the nomenclature included in the document
materials[].supplierobject | nullA unique identifier for a counterparty of type ‘isSupplier’. You can retrieve this UUID using the /counterparty/api-readList request
materials[].contractobject | nullThe unique identifier for the counterparty’s contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request
operationKindnumberProduction operation kind code
useAsTemplatebooleanWhether the assembly is used as a template
projectstring (uuid)A unique identifier for the Project, obtainable from the /project/api-readList request
lineOfBusinessstring (uuid)A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request
documentTypestringDocument type code
withoutSpecificationbooleanWhether the assembly is without a specification
productionTypenumber (0) | number (1) | number (2)Production type: 0 — own production, 1 — external tolling, 2 — own tolling
authorstring (uuid)A unique identifier for the Author, obtainable from the /user/api-readList request
banDatestring | nullDocument ban date, if posting is restricted
banUpsertbooleanWhether upsert of the document is banned
materialsListobject[]Additional materials list of the assembly
materialsList[].nomenclaturestring (uuid)A unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request
materialsList[].namestringNomenclature name
materialsList[].quantitynumberThe amount of items
materialsList[].warehousestring (uuid)A unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request
materialsList[].pricenumberThe price of the item/document
materialsList[].totalSumnumberThe sum of the document
materialsList[].batchobject | nullMaterial batch / lot
materialsList[].stockBalancenumberStock balance on the warehouse
materialsList[].readyQuantitynumberQuantity of the finished product
materialsList[].specificationQuantitynumberQuantity in the specification
materialsList[].reservenumberThe amount of the product that has been reserved
materialsList[].uniqueIdstringRow unique id of the material line
materialsList[].relatesTostringuniqueId of the related product line
materialsList[].stageIdstringuniqueId of the related production stage
materialsList[].unitstring (uuid)A unique identifier for the Unit of Measurement, obtainable from the /unitsOfMeasurment/api-readList request
materialsList[].specificationstring (uuid)A unique identifier for the Specification, obtainable from the /specification/api-readList request
materialsList[].netQuantitynumberNet quantity
materialsList[].lossnumberLoss percent
materialsList[].imeistringIMEI / serial number
materialsList[].isAnalogbooleanWhether the material line is an analog
materialsList[].analogWriteOffMethodnumberMethod of writing off analogs
materialsList[].productstringA GUID of product, representing the nomenclature included in the document

The full list of fields is in the interactive documentation.

curl -X POST 'https://app.bimpsoft.com/org2/production-assembly/api-read' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

api-readList

POST /org2/production-assembly/api-readList

A request to view a list of production assembly documents

Request body (JSON)

FieldTypeRequiredDescription
paginationobjectyes
pagination.offsetnumberyesBegin from {offset} elements
pagination.countnumberyesLimit of paginated elemets

Response: data field

FieldTypeDescription
[].uuidstring (uuid)A unique uuid key for the Production assembly document
[].namestringProduction assembly name
[].commentstringAn optional text field for any additional notes or comments related to the document
[].datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
[].numberstringProduction assembly number
[].manufacturerstring (uuid)A unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request
[].responsiblestring (uuid)A unique identifier for the Employee, obtainable from the /employee/api-readList request
[].organizationstring (uuid)A unique identifier for the Organization, obtainable from the /organization/api-readList request
curl -X POST 'https://app.bimpsoft.com/org2/production-assembly/api-readList' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"pagination":{"offset":0,"count":10}}'

api-create

POST /org2/production-assembly/api-create

A request to create a new production assembly document

Request body (JSON)

FieldTypeRequiredDescription
productionOrderstring (uuid)yesA unique identifier for the Production order document, obtainable from the /production-order/api-readList request
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
numberstringProduction assembly number
responsiblestring (uuid)A unique identifier for the Employee, obtainable from the /employee/api-readList request
commentstringAn optional text field for any additional notes or comments related to the document
manufacturerstring (uuid)A unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request
operationKindnumberProduction operation kind code
useAsTemplatebooleanWhether the assembly is used as a template
projectstring (uuid)A unique identifier for the Project, obtainable from the /project/api-readList request
lineOfBusinessstring (uuid)A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request
documentTypestringDocument type code
withoutSpecificationbooleanWhether the assembly is without a specification
productionTypenumber (0) | number (1) | number (2)Production type: 0 — own production, 1 — external tolling, 2 — own tolling
authorstring (uuid)A unique identifier for the Author, obtainable from the /user/api-readList request
archivedbooleanWhether the production assembly is archived
distributionTypenumber (0) | number (1)Cost distribution type code
banDatestring | nullDocument ban date, if posting is restricted
banUpsertbooleanWhether upsert of the document is banned
materialsobject[]Materials used in the assembly
materials[].nomenclaturestring (uuid)yesA unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request
materials[].namestringNomenclature name
materials[].quantitynumberyesThe amount of items
materials[].warehousestring (uuid)A unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request
materials[].pricenumberyesThe price of the item/document
materials[].totalSumnumberyesThe sum of the document
materials[].batchobject | nullMaterial batch / lot
materials[].stockBalancenumberStock balance on the warehouse
materials[].readyQuantitynumberQuantity of the finished product
materials[].specificationQuantitynumberQuantity in the specification
materials[].reservenumberThe amount of the product that has been reserved
materials[].uniqueIdstringRow unique id of the material line
materials[].relatesTostringuniqueId of the related product line
materials[].stageIdstringuniqueId of the related production stage
materials[].unitstring (uuid)A unique identifier for the Unit of Measurement, obtainable from the /unitsOfMeasurment/api-readList request
materials[].specificationstring (uuid)A unique identifier for the Specification, obtainable from the /specification/api-readList request
materials[].netQuantitynumberNet quantity
materials[].lossnumberLoss percent
materials[].imeistringIMEI / serial number
materials[].isAnalogbooleanWhether the material line is an analog
materials[].analogWriteOffMethodnumberMethod of writing off analogs
materials[].productstringA GUID of product, representing the nomenclature included in the document
materials[].supplierobject | nullA unique identifier for a counterparty of type ‘isSupplier’. You can retrieve this UUID using the /counterparty/api-readList request
materials[].contractobject | nullThe unique identifier for the counterparty’s contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request
materialsListobject[]Additional materials list of the assembly
materialsList[].nomenclaturestring (uuid)yesA unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request
materialsList[].namestringNomenclature name
materialsList[].quantitynumberyesThe amount of items
materialsList[].warehousestring (uuid)A unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request
materialsList[].pricenumberyesThe price of the item/document
materialsList[].totalSumnumberyesThe sum of the document
materialsList[].batchobject | nullMaterial batch / lot
materialsList[].stockBalancenumberStock balance on the warehouse
materialsList[].readyQuantitynumberQuantity of the finished product
materialsList[].specificationQuantitynumberQuantity in the specification
materialsList[].reservenumberThe amount of the product that has been reserved
materialsList[].uniqueIdstringRow unique id of the material line
materialsList[].relatesTostringuniqueId of the related product line
materialsList[].stageIdstringuniqueId of the related production stage
materialsList[].unitstring (uuid)A unique identifier for the Unit of Measurement, obtainable from the /unitsOfMeasurment/api-readList request
materialsList[].specificationstring (uuid)A unique identifier for the Specification, obtainable from the /specification/api-readList request
materialsList[].netQuantitynumberNet quantity
materialsList[].lossnumberLoss percent
materialsList[].imeistringIMEI / serial number
materialsList[].isAnalogbooleanWhether the material line is an analog
materialsList[].analogWriteOffMethodnumberMethod of writing off analogs
materialsList[].productstringA GUID of product, representing the nomenclature included in the document
materialsList[].supplierobject | nullA unique identifier for a counterparty of type ‘isSupplier’. You can retrieve this UUID using the /counterparty/api-readList request
materialsList[].contractobject | nullThe unique identifier for the counterparty’s contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request
productionStagesobject[]Production stages of the assembly
productionStages[].uniqueIdstringRow unique id of the production stage
productionStages[].relatesTostringuniqueId of the related product line
productionStages[].stageobject | nullProduction stage catalog reference
productionStages[].prioritynumberStage priority / order
productionStages[].quantitynumberThe amount of items
productionStages[].executionTimenumberStage execution time
productionStages[].sumnumberThe sum of the document
productionOperationsobject[]Production operations of the assembly
productionOperations[].uniqueIdstringRow unique id of the production operation
productionOperations[].relatesTostringuniqueId of the related production stage
productionOperations[].technologicalOperationobject | nullTechnological operation catalog reference
productionOperations[].performerobject | nullA unique identifier for the Employee, obtainable from the /employee/api-readList
productionOperations[].contractobject | nullThe unique identifier for the counterparty’s contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request
productionOperations[].executionTimenumberOperation execution time
productionOperations[].quantitynumberThe amount of items
productionOperations[].pricenumberThe price of the item/document
productionOperations[].sumnumberThe sum of the document
productionOperations[].readyQuantitynumberQuantity of the finished product
productionOperations[].specificationQuantitynumberQuantity in the specification
productionOperations[].nomenclatureobject | nullA unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request
productionOperations[].characteristicobject | nullNomenclature characteristic reference
operationDependenciesobject[]Dependencies between production operations
operationDependencies[].uniqueIdstringuniqueId of the dependent production operation
operationDependencies[].relatesTostringuniqueId of the related preceding operation
operationDependencies[].previousOperationstringPrevious operation identifier
counterpartystring (uuid)A unique identifier for the Counterparty, obtainable from the /counterparty/api-readList request
productsobject[]yesAn array of product objects, representing the nomenclatures included in the document
products[].nomenclaturestring (uuid)yesA unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request
products[].quantitynumberyesThe amount of items
products[].specificationstring (uuid)yesA unique identifier for the Specification, obtainable from the /specification/api-readList request
products[].uniqueIdstringRow unique id of the product line
products[].pricenumberThe price of the item/document
products[].totalSumnumberThe sum of the document
products[].costSharenumberCost share
products[].reservenumberThe amount of the product that has been reserved
products[].imeistringIMEI / serial number

Response: data field

FieldTypeDescription
uuidstring (uuid)A unique uuid key for the Production assembly document
curl -X POST 'https://app.bimpsoft.com/org2/production-assembly/api-create' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"productionOrder":"00000000-0000-0000-0000-000000000000","products":[{}]}'

api-cancel

POST /org2/production-assembly/api-cancel

Cancel a production assembly document

Request body (JSON)

FieldTypeRequiredDescription
uuidstring (uuid)yesA unique uuid key for the production assembly document

Response: data field

FieldTypeDescription
successboolean (true)
curl -X POST 'https://app.bimpsoft.com/org2/production-assembly/api-cancel' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

Interactive documentation with a test request option: https://app.bimpsoft.com/docs. The OpenAPI specification is updated together with Bimp; this page is generated from it automatically.